CVE-2006-1120
CVSS2.6
发布时间 :2006-03-09 16:02:00
修订时间 :2008-09-05 17:01:05
NMCO    

[原文]Multiple cross-site scripting (XSS) vulnerabilities in DCP-Portal 6.1.1 and earlier, with register_globals enabled, allow remote attackers to inject arbitrary web script or HTML via the (1) its_url parameter in the documents page and (2) url parameter in the send_write page of (a) index.php; (3) subject, and (4) images parameters to (b) calendar.php; (5) bid, (6) replying_msg, (7) subject, (8) body, and (9) mid parameters to (c) forums.php; (10) subject and (11) message parameters to (d) inbox.php; (12) subject_color and (13) email parameters to (e) lostpassword.php; and the (14) c_name, (15) content_inicial, and (16) cid parameters to (f) mycontents.php. NOTE: the calendar.php/day vector is already subsumed by CVE-2006-0220, and the calendar.php/month, calendar.php/year, and search.php/q parameters for calendar.php are already subsumed by CVE-2004-2511.


[CNNVD]DCP-Portal门户网站多个跨站脚本攻击漏洞(CNNVD-200603-171)

        DCP-Portal 6.1.1及其早期版本中存在多个跨站脚本攻击(XSS)漏洞,当register_globals有效时,远程攻击者可以通过以下途径注入任意Web脚本或 HTML:(1)在文件页中的 its_url参数和(2)在(a)index.php的send_write页中的url参数;(3)主题,和(4)在(b)calendar.php中的图像参数;(5)出价,(6)replying_msg,(7)主题,(8)正文,和(9)在(c)forums.php中的mid参数;(10)主题和(11)在(d)inbox.php中的短信参数;(12)subject_color和(13)在(e)lostpassword.php中的邮件参数;和(14)c_name,(15)content_inicial,和(16)在(f) mycontents.php中的cid参数。注:calendar.php/day向量已并入CVE-2006-0220中,和calendar.php/month,calendar.php/year,和calendar.php的search.php/q 参数已并入CVE-2004-2511中。

- CVSS (基础分值)

CVSS分值: 2.6 [轻微(LOW)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: HIGH [漏洞利用存在特定的访问条件]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:codeworx_technologies:dcp-portal:5.1
cpe:/a:codeworx_technologies:dcp-portal:4.1
cpe:/a:codeworx_technologies:dcp-portal:5.0.2
cpe:/a:codeworx_technologies:dcp-portal:5.2
cpe:/a:codeworx_technologies:dcp-portal:5.3.1
cpe:/a:codeworx_technologies:dcp-portal:6.1.1
cpe:/a:codeworx_technologies:dcp-portal:5.3
cpe:/a:codeworx_technologies:dcp-portal:5.3.2
cpe:/a:codeworx_technologies:dcp-portal:4.2
cpe:/a:codeworx_technologies:dcp-portal:4.5.1
cpe:/a:codeworx_technologies:dcp-portal:4.0
cpe:/a:codeworx_technologies:dcp-portal:3.7
cpe:/a:codeworx_technologies:dcp-portal:5.0.1

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-1120
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2006-1120
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200603-171
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/archive/1/archive/1/427175/100/0/threaded
(VENDOR_ADVISORY)  BUGTRAQ  20060309 DCP Portal: Multiple XSS Vulnerabilities
http://www.seclab.tuwien.ac.at/advisories/TUVSA-0603-001.txt
(VENDOR_ADVISORY)  MISC  http://www.seclab.tuwien.ac.at/advisories/TUVSA-0603-001.txt
http://xforce.iss.net/xforce/xfdb/25279
(UNKNOWN)  XF  dcpportal-multiple-scripts-xss(25279)
http://www.securityfocus.com/bid/17050
(UNKNOWN)  BID  17050
http://www.osvdb.org/23981
(UNKNOWN)  OSVDB  23981
http://www.osvdb.org/23980
(UNKNOWN)  OSVDB  23980
http://www.osvdb.org/23979
(UNKNOWN)  OSVDB  23979
http://www.osvdb.org/23978
(UNKNOWN)  OSVDB  23978
http://www.osvdb.org/23977
(UNKNOWN)  OSVDB  23977
http://www.osvdb.org/23976
(UNKNOWN)  OSVDB  23976
http://securityreason.com/securityalert/392
(UNKNOWN)  SREASON  392

- 漏洞信息

DCP-Portal门户网站多个跨站脚本攻击漏洞
低危 跨站脚本
2006-03-09 00:00:00 2006-03-10 00:00:00
远程  
        DCP-Portal 6.1.1及其早期版本中存在多个跨站脚本攻击(XSS)漏洞,当register_globals有效时,远程攻击者可以通过以下途径注入任意Web脚本或 HTML:(1)在文件页中的 its_url参数和(2)在(a)index.php的send_write页中的url参数;(3)主题,和(4)在(b)calendar.php中的图像参数;(5)出价,(6)replying_msg,(7)主题,(8)正文,和(9)在(c)forums.php中的mid参数;(10)主题和(11)在(d)inbox.php中的短信参数;(12)subject_color和(13)在(e)lostpassword.php中的邮件参数;和(14)c_name,(15)content_inicial,和(16)在(f) mycontents.php中的cid参数。注:calendar.php/day向量已并入CVE-2006-0220中,和calendar.php/month,calendar.php/year,和calendar.php的search.php/q 参数已并入CVE-2004-2511中。

- 公告与补丁

        目前厂商还没有提供此漏洞的相关补丁或者升级程序,建议使用此软件的用户随时关注厂商的主页以获取最新版本.

- 漏洞信息

23976
DCP-Portal index.php Multiple Parameter XSS
Remote / Network Access Input Manipulation
Loss of Integrity
Exploit Public

- 漏洞描述

DCP-Portal contains a flaw that allows a remote cross site scripting attack. This flaw exists because the application does not validate the 'its_url' variable the documents page and the 'url' variable in the send_write page, via the index.php script. This could allow a user to create a specially crafted URL that would execute arbitrary code in a user's browser within the trust relationship between the browser and the server, leading to a loss of integrity.

- 时间线

2006-03-09 Unknow
2006-03-09 Unknow

- 解决方案

Currently, there are no known upgrades, patches, or workarounds available to correct this issue.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站